
From: "Jan Beulich" <JBeulich@novell.com>

Adding quotation handling to rule_cc_o_c in scripts/Makefile.build as used
elsewhere.

Signed-off-by: Jan Beulich <jbeulich@novell.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 scripts/Makefile.build |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN scripts/Makefile.build~apply-quotation-handling-to-makefilebuild scripts/Makefile.build
--- 25/scripts/Makefile.build~apply-quotation-handling-to-makefilebuild	2005-05-13 22:23:54.000000000 -0700
+++ 25-akpm/scripts/Makefile.build	2005-05-13 22:23:54.000000000 -0700
@@ -176,10 +176,10 @@ endif
 define rule_cc_o_c
 	$(if $($(quiet)cmd_checksrc),echo '  $($(quiet)cmd_checksrc)';)   \
 	$(cmd_checksrc)							  \
-	$(if $($(quiet)cmd_cc_o_c),echo '  $($(quiet)cmd_cc_o_c)';)	  \
+	$(if $($(quiet)cmd_cc_o_c),echo '  $(subst ','\'',$($(quiet)cmd_cc_o_c))';)  \
 	$(cmd_cc_o_c);							  \
 	$(cmd_modversions)						  \
-	scripts/basic/fixdep $(depfile) $@ '$(cmd_cc_o_c)' > $(@D)/.$(@F).tmp;  \
+	scripts/basic/fixdep $(depfile) $@ '$(subst ','\'',$(cmd_cc_o_c))' > $(@D)/.$(@F).tmp;  \
 	rm -f $(depfile);						  \
 	mv -f $(@D)/.$(@F).tmp $(@D)/.$(@F).cmd
 endef
_
